
/* Mixins (If your site does not contain them already) */
.transition(@transition) {
  -webkit-transition: @transition;
          transition: @transition;
}
.transform(@transform) {
  -wekbit-transform: @transform;
          transform: @transform;
}
.flex-box() {
  display: -webkit-box; /* OLD - iOS 6-, Safari 3.1-6 */
  display: -moz-box; /* OLD - Firefox 19- (buggy but mostly works) */
  display: -ms-flexbox; /* TWEENER - IE 10 */
  display: -webkit-flex; /* NEW - Chrome */
  display: flex; /* NEW, Spec - Opera 12.1, Firefox 20+ */
}
.flex(@flex-num) {
  -webkit-box-flex: @flex-num; /* OLD - iOS6-, Safari 3.1-6 */
     -moz-box-flex: @flex-num; /* OLD - Firefox 19- */
      -webkit-flex: @flex-num; /* Chrome */
          -ms-flex: @flex-num; /* IE 10 */
              flex: @flex-num; /* NEW, Spec - Opera 12.1, Firefox 20+ */
}
.border-top-radius(@rad) {
  -webkit-border-top-left-radius: @rad;
          border-top-left-radius: @rad;
  -webkit-border-top-right-radius: @rad;
          border-top-right-radius: @rad;
}

/* TAB TWEAKS */

// tweak: { "type" : "font", "category" : "Tabs", "title" : "Tab Font", "target" : "ul.tabs li", "showOnlyWhenPresent" : "ul.liveTabs p" }
.tabsFont {
  font-family: 'Julius Sans One', sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 24px;
  line-height: 1.25em;
  letter-spacing: 0em;
  text-transform: none;
}

// tweak: { "type" : "color", "category" : "Tabs", "title" : "Tab Font Color", "target" : "ul.tabs li", "showOnlyWhenPresent" : "ul.liveTabs p" }
@tabsFontColor: #e6e6e6;

// tweak: { "type" : "color", "category" : "Tabs", "title" : "Tab Font Active Color", "target" : "ul.tabs li", "showOnlyWhenPresent" : "ul.liveTabs p" }
@tabsFontActive: #fff;

// tweak: { "type" : "color", "category" : "Tabs", "title" : "Tab Color", "target" : "ul.liveTabs li a .tabIcon", "showOnlyWhenPresent" : "ul.liveTabs" }
@tabBackColor: #4f555a;

// tweak: { "type" : "color", "category" : "Tabs", "title" : "Tab Active Color", "target" : "ul.liveTabs li.active a .tabIcon", "showOnlyWhenPresent" : "ul.liveTabs" }
@tabActiveBackColor: #b5b5b5;

// tweak: { "type" : "color", "category" : "Tabs", "title" : "Tab Hover Color", "target" : "ul.liveTabs li.active a .tabIcon", "showOnlyWhenPresent" : "ul.liveTabs" }
@tabHoverBackColor: #b5b5b5;

/* TAB STYLING */

.liveWrapper {
  margin: 0 auto;
  padding: 10px;
  min-height: 400px;
  .flex-box();
  
  .tab-page-content {
    .flex(1);
    padding: 0 1%;
  }
  
  .liveTabsWrapper {
    .flex(1);
    padding: 0 1%;
  }
}
ul.liveTabs {
  list-style: none;
  display: block;
  padding: 2px;
  text-align: center;
  
  li {
    display: inline-block;
    text-align: center;
    .tabsFont;
    
    &.active a {
      outline: none;
      color: @tabsFontActive;
      
      .tabIcon {
        outline: none;
        background: @tabActiveBackColor;
      }
      
      &:focus, &:active, &:hover {
        outline: none;
      }
    }
    
    a {
      outline: none;
      color: @tabsFontColor;
      .transition(color 0.3s ease);
      
      .tabIcon {
        outline: none;
        padding: 15px;
        background: @tabBackColor;
        .border-top-radius(10px);
        cursor: pointer;
        height: 48px;
        width: 48px;

        .transition(background 0.3s ease);

        &.tab-text {
          width: auto;
        }
        
        &:hover {
            background: @tabHoverBackColor;
        }
      }
      
      &:hover {
        outline: none;
        color: @tabsFontActive;
      }
      
      &:focus, &:active {
        outline: none;
      }
    }
  }
}

body:not(.sqs-edit-mode) {
  .tab-page-content,
  .tab-title-content,
  .tab-footer-content {
    &.empty {
      display: none;
      visibility: hidden;
    }
  }
}

